MQOMParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.mqom

## Class MQOMParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.mqom.MQOMParameters

-     public class MQOMParameters
      extends java.lang.Object

  Parameter set descriptors for MQOM v2.1 ("MQ on my Mind"). Naming follows the upstream `<category>-<base-field>-<trade-off>-<variant>` convention used by mqom-v2.

  All 48 standardised parameter sets are declared here. Whether a given set is wired through to a working engine is reported by `MQOMEngineSupport` (loaded indirectly through `MQOMEngine.getInstance`); declaring the constants up front lets callers reference parameter names independently of the engine roadmap.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BASE_FIELD_GF16`
    `static int` | `BASE_FIELD_GF2`
    `static int` | `BASE_FIELD_GF256`
    `static int` | `BASE_FIELD_GF4`
    `static int` | `EXT_FIELD_GF256`
    `static int` | `EXT_FIELD_GF65536`
    `static MQOMParameters` | `mqom2_cat1_gf16_fast_r3`
    `static MQOMParameters` | `mqom2_cat1_gf16_fast_r5`
    `static MQOMParameters` | `mqom2_cat1_gf16_short_r3`
    `static MQOMParameters` | `mqom2_cat1_gf16_short_r5`
    `static MQOMParameters` | `mqom2_cat1_gf2_fast_r3`
    `static MQOMParameters` | `mqom2_cat1_gf2_fast_r5`
    `static MQOMParameters` | `mqom2_cat1_gf2_short_r3`
    `static MQOMParameters` | `mqom2_cat1_gf2_short_r5`
    `static MQOMParameters` | `mqom2_cat1_gf256_fast_r3`
    `static MQOMParameters` | `mqom2_cat1_gf256_fast_r5`
    `static MQOMParameters` | `mqom2_cat1_gf256_short_r3`
    `static MQOMParameters` | `mqom2_cat1_gf256_short_r5`
    `static MQOMParameters` | `mqom2_cat3_gf16_fast_r3`
    `static MQOMParameters` | `mqom2_cat3_gf16_fast_r5`
    `static MQOMParameters` | `mqom2_cat3_gf16_short_r3`
    `static MQOMParameters` | `mqom2_cat3_gf16_short_r5`
    `static MQOMParameters` | `mqom2_cat3_gf2_fast_r3`
    `static MQOMParameters` | `mqom2_cat3_gf2_fast_r5`
    `static MQOMParameters` | `mqom2_cat3_gf2_short_r3`
    `static MQOMParameters` | `mqom2_cat3_gf2_short_r5`
    `static MQOMParameters` | `mqom2_cat3_gf256_fast_r3`
    `static MQOMParameters` | `mqom2_cat3_gf256_fast_r5`
    `static MQOMParameters` | `mqom2_cat3_gf256_short_r3`
    `static MQOMParameters` | `mqom2_cat3_gf256_short_r5`
    `static MQOMParameters` | `mqom2_cat5_gf16_fast_r3`
    `static MQOMParameters` | `mqom2_cat5_gf16_fast_r5`
    `static MQOMParameters` | `mqom2_cat5_gf16_short_r3`
    `static MQOMParameters` | `mqom2_cat5_gf16_short_r5`
    `static MQOMParameters` | `mqom2_cat5_gf2_fast_r3`
    `static MQOMParameters` | `mqom2_cat5_gf2_fast_r5`
    `static MQOMParameters` | `mqom2_cat5_gf2_short_r3`
    `static MQOMParameters` | `mqom2_cat5_gf2_short_r5`
    `static MQOMParameters` | `mqom2_cat5_gf256_fast_r3`
    `static MQOMParameters` | `mqom2_cat5_gf256_fast_r5`
    `static MQOMParameters` | `mqom2_cat5_gf256_short_r3`
    `static MQOMParameters` | `mqom2_cat5_gf256_short_r5`
    `static int` | `TRADEOFF_FAST`
    `static int` | `TRADEOFF_SHORT`
    `static int` | `VARIANT_R3`
    `static int` | `VARIANT_R5`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBaseFieldLog2()`
    `int` | `getByteSizeFieldBase(int num)`
    `int` | `getByteSizeFieldExt(int num)`
    `int` | `getDigestSize()`
    `int` | `getEta()`
    `int` | `getExtFieldLog2()`
    `int` | `getFullTreeSize()`
    `int` | `getMqM()`
    `int` | `getMqN()`
    `int` | `getMu()`
    `java.lang.String` | `getName()`
    `int` | `getNbEvals()`
    `int` | `getNbEvalsLog()`
    `int` | `getOpeningSize()`
    `int` | `getPrivateKeySize()`
    `int` | `getPublicKeySize()`
    `int` | `getSaltSize()`
    `int` | `getSecurityBits()`
    `int` | `getSeedSize()`
    `int` | `getSignatureSize()`
    `int` | `getTau()`
    `int` | `getTradeoff()`
    `int` | `getVariant()`
    `int` | `getW()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE_FIELD_GF2

          public static final int BASE_FIELD_GF2

      See Also:
        Constant Field Values

    - #### BASE_FIELD_GF4

          public static final int BASE_FIELD_GF4

      See Also:
        Constant Field Values

    - #### BASE_FIELD_GF16

          public static final int BASE_FIELD_GF16

      See Also:
        Constant Field Values

    - #### BASE_FIELD_GF256

          public static final int BASE_FIELD_GF256

      See Also:
        Constant Field Values

    - #### EXT_FIELD_GF256

          public static final int EXT_FIELD_GF256

      See Also:
        Constant Field Values

    - #### EXT_FIELD_GF65536

          public static final int EXT_FIELD_GF65536

      See Also:
        Constant Field Values

    - #### TRADEOFF_FAST

          public static final int TRADEOFF_FAST

      See Also:
        Constant Field Values

    - #### TRADEOFF_SHORT

          public static final int TRADEOFF_SHORT

      See Also:
        Constant Field Values

    - #### VARIANT_R3

          public static final int VARIANT_R3

      See Also:
        Constant Field Values

    - #### VARIANT_R5

          public static final int VARIANT_R5

      See Also:
        Constant Field Values

    - #### mqom2_cat1_gf2_fast_r3

          public static final MQOMParameters mqom2_cat1_gf2_fast_r3

    - #### mqom2_cat1_gf2_fast_r5

          public static final MQOMParameters mqom2_cat1_gf2_fast_r5

    - #### mqom2_cat1_gf2_short_r3

          public static final MQOMParameters mqom2_cat1_gf2_short_r3

    - #### mqom2_cat1_gf2_short_r5

          public static final MQOMParameters mqom2_cat1_gf2_short_r5

    - #### mqom2_cat1_gf16_fast_r3

          public static final MQOMParameters mqom2_cat1_gf16_fast_r3

    - #### mqom2_cat1_gf16_fast_r5

          public static final MQOMParameters mqom2_cat1_gf16_fast_r5

    - #### mqom2_cat1_gf16_short_r3

          public static final MQOMParameters mqom2_cat1_gf16_short_r3

    - #### mqom2_cat1_gf16_short_r5

          public static final MQOMParameters mqom2_cat1_gf16_short_r5

    - #### mqom2_cat1_gf256_fast_r3

          public static final MQOMParameters mqom2_cat1_gf256_fast_r3

    - #### mqom2_cat1_gf256_fast_r5

          public static final MQOMParameters mqom2_cat1_gf256_fast_r5

    - #### mqom2_cat1_gf256_short_r3

          public static final MQOMParameters mqom2_cat1_gf256_short_r3

    - #### mqom2_cat1_gf256_short_r5

          public static final MQOMParameters mqom2_cat1_gf256_short_r5

    - #### mqom2_cat3_gf2_fast_r3

          public static final MQOMParameters mqom2_cat3_gf2_fast_r3

    - #### mqom2_cat3_gf2_fast_r5

          public static final MQOMParameters mqom2_cat3_gf2_fast_r5

    - #### mqom2_cat3_gf2_short_r3

          public static final MQOMParameters mqom2_cat3_gf2_short_r3

    - #### mqom2_cat3_gf2_short_r5

          public static final MQOMParameters mqom2_cat3_gf2_short_r5

    - #### mqom2_cat3_gf16_fast_r3

          public static final MQOMParameters mqom2_cat3_gf16_fast_r3

    - #### mqom2_cat3_gf16_fast_r5

          public static final MQOMParameters mqom2_cat3_gf16_fast_r5

    - #### mqom2_cat3_gf16_short_r3

          public static final MQOMParameters mqom2_cat3_gf16_short_r3

    - #### mqom2_cat3_gf16_short_r5

          public static final MQOMParameters mqom2_cat3_gf16_short_r5

    - #### mqom2_cat3_gf256_fast_r3

          public static final MQOMParameters mqom2_cat3_gf256_fast_r3

    - #### mqom2_cat3_gf256_fast_r5

          public static final MQOMParameters mqom2_cat3_gf256_fast_r5

    - #### mqom2_cat3_gf256_short_r3

          public static final MQOMParameters mqom2_cat3_gf256_short_r3

    - #### mqom2_cat3_gf256_short_r5

          public static final MQOMParameters mqom2_cat3_gf256_short_r5

    - #### mqom2_cat5_gf2_fast_r3

          public static final MQOMParameters mqom2_cat5_gf2_fast_r3

    - #### mqom2_cat5_gf2_fast_r5

          public static final MQOMParameters mqom2_cat5_gf2_fast_r5

    - #### mqom2_cat5_gf2_short_r3

          public static final MQOMParameters mqom2_cat5_gf2_short_r3

    - #### mqom2_cat5_gf2_short_r5

          public static final MQOMParameters mqom2_cat5_gf2_short_r5

    - #### mqom2_cat5_gf16_fast_r3

          public static final MQOMParameters mqom2_cat5_gf16_fast_r3

    - #### mqom2_cat5_gf16_fast_r5

          public static final MQOMParameters mqom2_cat5_gf16_fast_r5

    - #### mqom2_cat5_gf16_short_r3

          public static final MQOMParameters mqom2_cat5_gf16_short_r3

    - #### mqom2_cat5_gf16_short_r5

          public static final MQOMParameters mqom2_cat5_gf16_short_r5

    - #### mqom2_cat5_gf256_fast_r3

          public static final MQOMParameters mqom2_cat5_gf256_fast_r3

    - #### mqom2_cat5_gf256_fast_r5

          public static final MQOMParameters mqom2_cat5_gf256_fast_r5

    - #### mqom2_cat5_gf256_short_r3

          public static final MQOMParameters mqom2_cat5_gf256_short_r3

    - #### mqom2_cat5_gf256_short_r5

          public static final MQOMParameters mqom2_cat5_gf256_short_r5

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getSecurityBits

          public int getSecurityBits()

    - #### getBaseFieldLog2

          public int getBaseFieldLog2()

    - #### getExtFieldLog2

          public int getExtFieldLog2()

    - #### getMu

          public int getMu()

    - #### getMqN

          public int getMqN()

    - #### getMqM

          public int getMqM()

    - #### getTau

          public int getTau()

    - #### getNbEvalsLog

          public int getNbEvalsLog()

    - #### getNbEvals

          public int getNbEvals()

    - #### getFullTreeSize

          public int getFullTreeSize()

    - #### getEta

          public int getEta()

    - #### getW

          public int getW()

    - #### getTradeoff

          public int getTradeoff()

    - #### getVariant

          public int getVariant()

    - #### getSeedSize

          public int getSeedSize()

    - #### getSaltSize

          public int getSaltSize()

    - #### getDigestSize

          public int getDigestSize()

    - #### getByteSizeFieldBase

          public int getByteSizeFieldBase(int num)

    - #### getByteSizeFieldExt

          public int getByteSizeFieldExt(int num)

    - #### getPublicKeySize

          public int getPublicKeySize()

    - #### getPrivateKeySize

          public int getPrivateKeySize()

    - #### getOpeningSize

          public int getOpeningSize()

    - #### getSignatureSize

          public int getSignatureSize()